body {
    height: 100%;
    width: 100%;
    background: url("https://images.template.net/wp-content/uploads/2014/09/Polygon-Backgrounds-Dark-V4.png") no-repeat center fixed;
    background-size: cover; /* version standardisée */
}

#main {
    align-items: center;
    display: flex;
    overflow: hidden;
    height: 80vh;
    justify-content: center;
    margin: auto;
    width: 100vw;
}

#wrapper {
    margin: 0 auto;
    border: 1px solid black;
    width: 25vw;
    height: 25vw;
}

.joystick {
    background-color: blue;
    border-radius: 100%;
    cursor: pointer;
    height: 100%;
    user-select: none;
    width: 100%;
}

#zoneButton {
    margin:0 auto;
    align-items: center;
    width: 25vw;
    height: 25vw;
}
#zoneButton2{
    margin:0 auto;
    align-items : center;
    width:25vw;
    height:12vw;
}
#buttonFire {
    width: 100%;
    height: 100%;
    position: relative;
    outline: none;
    overflow: hidden;
    cursor: pointer;
}

#buttonFire:active, #buttonBomb:focus {
    outline: none;
}

#buttonFire:disabled {
    cursor: default;
    box-shadow: inset 3px 3px 10px 0px rgba(0, 0, 0, 0.2);
}

#buttonFire:disabled:after {
    content: "";
    position: absolute;
    bottom: 0;
    width: 100%;
    left: 0;
    height: 100%;
    background: #C0C0C0;
    opacity: 0.5;
    -webkit-animation: cooldown 0.25s linear;
    animation: cooldown 0.25s linear;
}

#buttonBomb {
    width: 100%;
    height: 100%;
    position: relative;
    outline: none;
    overflow: hidden;
    cursor: pointer;
}
#buttonBomb:active, #buttonBomb:focus {
    outline: none;
}

#buttonBomb:disabled {
    cursor: default;
    box-shadow: inset 3px 3px 10px 0px rgba(0, 0, 0, 0.2);
}

#buttonBomb:disabled:after {
    content: "";
    position: absolute;
    bottom: 0;
    width: 100%;
    left: 0;
    height: 100%;
    background: #C0C0C0;
    opacity: 0.5;
    -webkit-animation: cooldown 15s linear;
    animation: cooldown 10s linear;
}

@-webkit-keyframes cooldown {
    0% {
        width: 100%;
    }

    100% {
        width: 0;
    }
}

@keyframes cooldown {
    0% {
        width: 100%;
    }

    100% {
        width: 0;
    }
}

#gameCanvas{
    border:1px solid white;
    padding-left: 0;
    padding-right: 0;
    margin-left: auto;
    margin-right: auto;
    display: block;
}

#container{
    width:100%;
    height:100%;
}

.noscroll{
    overflow: hidden;
}

.row{
    margin-left: 0;
    margin-right: 0;
}

#connectionRequest {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: url("https://images.template.net/wp-content/uploads/2014/09/Polygon-Backgrounds-Dark-V4.png") no-repeat center fixed;
    background-size: cover; /* version standardisée */
    z-index:1;
}

#formPseudo{
    text-align:center;
    margin-top:45vh;
}

#connectionRequest.translationV{
    -webkit-transition:1s;
    -moz-transition:1s;
    -o-transition:1s;
    transition:1s;
    transform:translate(0,-100%);
}
#Titre{
    -webkit-text-stroke:1px white;
}
#scoreContainer {
    justify-content:center;
    margin-top: 5vh;
    -webkit-text-stroke: 1px white;
}